import { Component, Input, NgModule } from '@angular/core';

class NgxSpanOfStringsComponent {
    constructor() {
        this.stringArr = [];
        this.currentWordIndex = 0;
    }
    ngOnInit() { }
}
NgxSpanOfStringsComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-ngx-span-of-strings',
                template: `
    <div class="typing-paragraph" id="typing-paragraph">
      <span
        *ngFor="let text of stringArr; let i = index"
        [class.shaded]="i < currentWordIndex"
        [class.active]="i === currentWordIndex"
        >{{ text }}</span
      >
    </div>
  `,
                styles: [`
      .typing-paragraph {
        max-width: 700px;
        width: 100%;
        overflow-y: scroll;
        height: 100px;
        background-color: white;
        color: #000;
        padding: 15px;
        border-radius: 15px;
        margin: 15px;
      }

      span.active {
        color: #69f0ae;
      }
      span.shaded {
        color: #d8d8d8;
      }
    `]
            },] }
];
NgxSpanOfStringsComponent.ctorParameters = () => [];
NgxSpanOfStringsComponent.propDecorators = {
    stringArr: [{ type: Input }],
    currentWordIndex: [{ type: Input }]
};

class NgxSpanOfStringsModule {
}
NgxSpanOfStringsModule.decorators = [
    { type: NgModule, args: [{
                declarations: [NgxSpanOfStringsComponent],
                imports: [],
                exports: [NgxSpanOfStringsComponent]
            },] }
];

/*
 * Public API Surface of ngx-span-of-strings
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxSpanOfStringsComponent, NgxSpanOfStringsModule };
//# sourceMappingURL=ngx-span-of-strings.js.map
